#include "filecookiegetter.h"


#include "namespace_start.h"


class CSafariCookieGetter:public CFileCookieGetterT<CSafariCookieGetter>{

	friend Void UnitTest();
	typedef CFileCookieGetterT<CSafariCookieGetter> Base;
public:
	
	CSafariCookieGetter();


	Bool GetCookieInternal(const NString &domein,const NString &name,CCookie &cookie);


	static Bool Fancta(const Byte * data,ULong dataSize,const NString & domein,const NString &name,CCookie &cookie);

private:
	static NString CreateCookiePath();

};


#include "namespace_end.h"